import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/get?${stringify(params)}`);
}


export async function insertForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForCjRfkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/cjrfkt/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}